tic

pctRunOnAll warning off all

% sets the path
cd PUT YOUR PATH HERE

% If you want a diary, uncomment what follows and give it a name
%delete('my_log.out');
%diary('my_log.out');
format long;

% input data
clear
All = load( 'data/dfformatlab_strg_1_special.txt' ); match = All(:, 1);
match = All(:, 1);
round = All(:, 2);
treatment = All(:, 3);
coop_all = All(:, 4);
id_all = All(:, 5);
ocoop_all = All(:, 6);
p1 = 1;
p2 = 7;
strg = All(:,[7:end-2]); include = [1:4,6:7]; strg = strg(:, include);
% ad, ac, grim, tft, wsls, T2
session = All(:, end-1);
id2_all = All(:, end);

% generate new vars
max_id = max(id_all);
min_id = min(id_all);
for i = min_id:max_id
    max_match(i) = max(match(find(id_all==i)));
    min_match(i) = min(match(find(id_all==i)));
end
K = size(strg,2);
for i = 1:K
    strg(:,i) = (strg(:,i) == coop_all);     % this transforms strg to take value 1 if choice corresponds to the strategy and 0 otherwise
end
include_1 = [1:2];
strg_1 = strg(:, include_1);
K_1 = size(strg_1,2);

% optimization (2 strategies)
disp('strategies 1-2');
rand('state', 123456789);
[x, ll, hess, exitflag] = opt_df_strat(match, min_match, max_match, id_all, min_id, max_id, strg_1, K_1, 0);
for m = 1:50
    m
    start_foo = [(m/50)*3; mean(strg(:,1))];
    [x_foo, ll_foo, hess_foo, exitflag_foo] = opt_df_strat(match, min_match, max_match, id_all, min_id, max_id, strg_1, K_1, start_foo);
    if ll_foo <= ll & exitflag_foo ~= 0
        x = x_foo; ll = ll_foo; hess = hess_foo; exitflag = exitflag_foo;
    end
end
if min(x) < 0, foo = x; foo(find(foo>0))=foo(find(foo>0))-(sum(foo(find(foo<0)))/length(find(foo>0)+1)); foo(find(foo<0))=0; x=foo; end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

start = [ x ; 1-x(2,1) ];
superstart = zeros(K,1);

disp('strategies 1-2 and...');
for j = 3:K
    j
    include_j = [1:2,j]; strg_j = strg(:, include_j);
    K_2 = size(strg_j,2);
    
    % optimization (4 strategies)
    [x_j, ll_j, hess_j, exitflag_j] = opt_df_strat(match, min_match, max_match, id_all, min_id, max_id, strg_j, K_2, start);
    if min(x_j) < 0, foo = x_j; foo(find(foo>0))=foo(find(foo>0))-(sum(foo(find(foo<0)))/length(find(foo>0)+1)); foo(find(foo<0))=0; x_j=foo; end
    superstart(1:3,1) = x_j(1:3,1) + superstart(1:3,1);
    superstart(j,1) = 1-sum(x_j(2:end));
end
superstart = superstart/(K-2);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% optimization (All strategies)
disp('all strategies');
%increase = K-size(x,1);
[x, ll, hess, exitflag] = opt_df_strat(match, min_match, max_match, id_all, min_id, max_id, strg, K, superstart);

% try solutions of earlier version of the paper as starting value
% put stft weight on wsls
start_foo = [0.26; 0.73; 0.0; 0.0; 0.02; 0.25];
[x_foo, ll_foo, hess_foo, exitflag_foo] = opt_df_strat(match, min_match, max_match, id_all, min_id, max_id, strg, K, start_foo);
if ll_foo <= ll & exitflag_foo ~= 0
    x = x_foo; ll = ll_foo; hess = hess_foo; exitflag = exitflag_foo;
end
start_foo = [0.30; 0.96; 0.0; 0.00; 0.04; 0.0];
[x_foo, ll_foo, hess_foo, exitflag_foo] = opt_df_strat(match, min_match, max_match, id_all, min_id, max_id, strg, K, start_foo);
if ll_foo <= ll & exitflag_foo ~= 0
    x = x_foo; ll = ll_foo; hess = hess_foo; exitflag = exitflag_foo;
end

% try frequencies reported by elicitation as starting value (flag data and
% all data)
start_foo = [0.23; 0.682364; 0.0; 0.076639; 0.067405; 0.173592];
[x_foo, ll_foo, hess_foo, exitflag_foo] = opt_df_strat(match, min_match, max_match, id_all, min_id, max_id, strg, K, start_foo);
if ll_foo <= ll & exitflag_foo ~= 0
    x = x_foo; ll = ll_foo; hess = hess_foo; exitflag = exitflag_foo;
end
start_foo = [0.23; 0.530891; 0.0; 0.059626; 0.052443; 0.0];
[x_foo, ll_foo, hess_foo, exitflag_foo] = opt_df_strat(match, min_match, max_match, id_all, min_id, max_id, strg, K, start_foo);
if ll_foo <= ll & exitflag_foo ~= 0
    x = x_foo; ll = ll_foo; hess = hess_foo; exitflag = exitflag_foo;
end

% try frequency reported in DF2011 as starting value
start_foo = [0.362; 0.92; 0.0; 0.0; 0.08; 0];
[x_foo, ll_foo, hess_foo, exitflag_foo] = opt_df_strat(match, min_match, max_match, id_all, min_id, max_id, strg, K, start_foo);
if ll_foo <= ll & exitflag_foo ~= 0
    x = x_foo; ll = ll_foo; hess = hess_foo; exitflag = exitflag_foo;
end

% correct estimate to satisfy constraints used in the m-files for
% optimization
if min(x) < 0, foo = x; foo(find(foo>0))=foo(find(foo>0))-(sum(foo(find(foo<0)))/length(find(foo>0)+1)); foo(find(foo<0))=0; x=foo; end

% see if there's a possible improvement over current solution where some
% probabilities are exactly 0
for m = 3:20
    xx = x(2:K,1);
    baz = 0.1^m;
    if min(xx) < baz, foo = xx; foo(find(foo>baz))=foo(find(foo>baz))+(sum(foo(find(foo<baz)))/length(find(foo>baz)+1)); foo(find(foo<baz))=0; xx = foo; start_foo=[x(1,1); xx];
        ll_foo = ll_df_strat(start_foo, match, min_match, max_match, id_all, min_id, max_id, strg, K);
        if ll_foo <= ll
            x = start_foo; ll = ll_foo;
        end
    end
    xx = x(2:K,1);
    last_x = 1-sum(xx);
    if last_x < baz, foo = xx; foo(find(foo>baz))=foo(find(foo>baz))+(last_x/length(find(foo>baz))); xx = foo; start_foo=[x(1,1); xx];
        ll_foo = ll_df_strat(start_foo, match, min_match, max_match, id_all, min_id, max_id, strg, K);
        if ll_foo <= ll
            x = start_foo; ll = ll_foo;
        end
    end
end

% play with results
gamma = x(1,1);
% negative values should be interpreted as near zero (see ll_part1_b)
p = x([2:end],1);
p(K,1) = 1 - sum(x([2:end],1));

% Bootsrapping the variance-covariance matrix and modified F-tests
start_bs = x;  
% load elicited strategies
plus = load( 'data/ac_strg_1_special_plus.txt' );
strg_e = plus(:,[1:end]);

[x_M, vc_bs, freq_e_bs] = bs_df_strat_plus(match, id_all, strg, K, start_bs, session, 1000, strg_e, round);

% spiting out some data
output(1,:) = [ll gamma p'];
output;
ll
disp('p')
[include', p]
gamma
[0, sqrt(diag(vc_bs(1,1))); include(1:end-1)', sqrt(diag(vc_bs(2:end,2:end)))]



toc

save('data/est_df2011_1', 'x', 'gamma', 'include', 'p', 'll', 'x_M', 'vc_bs', 'freq_e_bs', '-double', '-tabs')

diary off

