
warning off all

% sets the path
cd PUT YOUR PATH HERE

% If you want a diary, uncomment what follows and give it a name
%delete('my_log.out');
%diary('my_log.out');
format long;




disp('%%%%%%%%');
disp('est_a_1');
disp('%%%%%%%%');

% input data
clear
All1 = load( 'data/est_strg_1' );
include_1 = All1.include;
x_1 = All1.x;
gamma_1 = All1.gamma;
p_1 = All1.p;
x_M_1 = All1.x_M;
vc_bs_1 = All1.vc_bs;

All2 = load( 'data/est_o_1' );
include_2 = All2.include;
x_2 = All2.x;
gamma_2 = All2.gamma;
p_2 = All2.p;
x_M_2 = All2.x_M;
vc_bs_2 = All2.vc_bs;

% play with results
K = size(p_1,1);
x = [x_1; x_2];
vc_bs = [vc_bs_1, zeros(K,K); zeros(K,K), vc_bs_2];
include = include_1;

% standard errors
std = sqrt(diag(vc_bs));

% display basic results
[include(1:K)', p_1, p_2, p_1-p_2]

foo = [-999, include(1:K)]';
bar_1 = [x_1; p_1(K)];
bar_2 = [x_2; p_2(K)];
baz_1 = [sqrt(diag(vc_bs(1:K,1:K))); -999];
baz_2 = [sqrt(diag(vc_bs(K+1:end,K+1:end))); -999];
[foo, bar_1, baz_1]
[foo, bar_2, baz_2]
beta_1 = 1 / ( 1 + exp( -1 / gamma_1 ) )
beta_2 = 1 / ( 1 + exp( -1 / gamma_2 ) )

corr(x_1,x_2)

disp(' ');
disp('Tests equality equality of estimated proportions across samples using the waldtest');
disp('------------------------');

%[ws wp] = waldtest_gf(x, [2, 8; 3, 9; 4, 10; 5, 11; 6, 12], [], vc_bs);
% The joint test does not include AC because the variance is 0 in both
% samples for that strategies which creates problems (variance is 0 AND the
% estimates are 0).
[ws wp] = waldtest_gf(x, [2, 8; 4, 10; 5, 11; 6, 12], [], vc_bs);
disp(' ');
disp(sprintf('p-value of all proportions being equal: %1.3f',1-wp));

for i = 2:K
    [ws wp] = waldtest_gf(x, [i, i+6], [], vc_bs);
    if abs(x(i)-x(i+6)) > eps
       disp(' ');
       disp(sprintf('p-value of phi %d being equal in both data: %1.3f',include(i-1),1-wp));
    else
       disp(' ');
       disp(sprintf('p-value of phi %d being equal in both data: Cannot reject H0',include(i-1)));
    end
end
[ws wp] = wald_plus(x, [0,ones(1,K-1),0,-ones(1,K-1)], 0, vc_bs);
if abs(sum(x(2:K))-sum(x(K+2:end))) > eps
    disp(' ');
    disp(sprintf('p-value of phi %d being equal in both data: %1.3f',include(K),1-wp));
else
    disp(' ');
    disp(sprintf('p-value of phi %d being equal in both data: Cannot reject H0',include(K)));
end

disp('%%%%%%%%');
disp('est_a_2');
disp('%%%%%%%%');

% input data
clear
All1 = load( 'data/est_strg_2' );
include_1 = All1.include;
x_1 = All1.x;
gamma_1 = All1.gamma;
p_1 = All1.p;
x_M_1 = All1.x_M;
vc_bs_1 = All1.vc_bs;

All2 = load( 'data/est_o_2' );
include_2 = All2.include;
x_2 = All2.x;
gamma_2 = All2.gamma;
p_2 = All2.p;
x_M_2 = All2.x_M;
vc_bs_2 = All2.vc_bs;

% play with results
K = size(p_1,1);
x = [x_1; x_2];
vc_bs = [vc_bs_1, zeros(K,K); zeros(K,K), vc_bs_2];
include = include_1;

% standard errors
std = sqrt(diag(vc_bs));

% display basic results
[include(1:K)', p_1, p_2, p_1-p_2]

foo = [-999, include(1:K)]';
bar_1 = [x_1; p_1(K)];
bar_2 = [x_2; p_2(K)];
baz_1 = [sqrt(diag(vc_bs(1:K,1:K))); -999];
baz_2 = [sqrt(diag(vc_bs(K+1:end,K+1:end))); -999];
[foo, bar_1, baz_1]
[foo, bar_2, baz_2]
beta_1 = 1 / ( 1 + exp( -1 / gamma_1 ) )
beta_2 = 1 / ( 1 + exp( -1 / gamma_2 ) )

corr(x_1,x_2)

disp(' ');
disp('Tests equality equality of estimated proportions across samples using the waldtest');
disp('------------------------');

[ws wp] = waldtest_gf(x, [2, 8; 3, 9; 4, 10; 5, 11; 6, 12], [], vc_bs);
disp(' ');
disp(sprintf('p-value of all proportions being equal: %1.3f',1-wp));

for i = 2:K
    [ws wp] = waldtest_gf(x, [i, i+6], [], vc_bs);
    if abs(x(i)-x(i+6)) > eps
       disp(' ');
       disp(sprintf('p-value of phi %d being equal in both data: %1.3f',include(i-1),1-wp));
    else
       disp(' ');
       disp(sprintf('p-value of phi %d being equal in both data: Cannot reject H0',include(i-1)));
    end
end
[ws wp] = wald_plus(x, [0,ones(1,K-1),0,-ones(1,K-1)], 0, vc_bs);
if abs(sum(x(2:K))-sum(x(K+2:end))) > eps
    disp(' ');
    disp(sprintf('p-value of phi %d being equal in both data: %1.3f',include(K),1-wp));
else
    disp(' ');
    disp(sprintf('p-value of phi %d being equal in both data: Cannot reject H0',include(K)));
end


disp('%%%%%%%%');
disp('est_a_3');
disp('%%%%%%%%');

% input data
clear
All1 = load( 'data/est_strg_3' );
include_1 = All1.include;
x_1 = All1.x;
gamma_1 = All1.gamma;
p_1 = All1.p;
x_M_1 = All1.x_M;
vc_bs_1 = All1.vc_bs;

All2 = load( 'data/est_o_3' );
include_2 = All2.include;
x_2 = All2.x;
gamma_2 = All2.gamma;
p_2 = All2.p;
x_M_2 = All2.x_M;
vc_bs_2 = All2.vc_bs;

% play with results
K = size(p_1,1);
x = [x_1; x_2];
vc_bs = [vc_bs_1, zeros(K,K); zeros(K,K), vc_bs_2];
include = include_1;

% standard errors
std = sqrt(diag(vc_bs));

% display basic results
[include(1:K)', p_1, p_2, p_1-p_2]

foo = [-999, include(1:K)]';
bar_1 = [x_1; p_1(K)];
bar_2 = [x_2; p_2(K)];
baz_1 = [sqrt(diag(vc_bs(1:K,1:K))); -999];
baz_2 = [sqrt(diag(vc_bs(K+1:end,K+1:end))); -999];
[foo, bar_1, baz_1]
[foo, bar_2, baz_2]
beta_1 = 1 / ( 1 + exp( -1 / gamma_1 ) )
beta_2 = 1 / ( 1 + exp( -1 / gamma_2 ) )

corr(x_1,x_2)

disp(' ');
disp('Tests equality equality of estimated proportions across samples using the waldtest');
disp('------------------------');

[ws wp] = waldtest_gf(x, [2, 8; 3, 9; 4, 10; 5, 11; 6, 12], [], vc_bs);
disp(' ');
disp(sprintf('p-value of all proportions being equal: %1.3f',1-wp));

for i = 2:K
    [ws wp] = waldtest_gf(x, [i, i+6], [], vc_bs);
    if abs(x(i)-x(i+6)) > eps
       disp(' ');
       disp(sprintf('p-value of phi %d being equal in both data: %1.3f',include(i-1),1-wp));
    else
       disp(' ');
       disp(sprintf('p-value of phi %d being equal in both data: Cannot reject H0',include(i-1)));
    end
end
[ws wp] = wald_plus(x, [0,ones(1,K-1),0,-ones(1,K-1)], 0, vc_bs);
if abs(sum(x(2:K))-sum(x(K+2:end))) > eps
    disp(' ');
    disp(sprintf('p-value of phi %d being equal in both data: %1.3f',include(K),1-wp));
else
    disp(' ');
    disp(sprintf('p-value of phi %d being equal in both data: Cannot reject H0',include(K)));
end



disp('%%%%%%%%');
disp('est_a_4');
disp('%%%%%%%%');

% input data
clear
All1 = load( 'data/est_strg_4' );
include_1 = All1.include;
x_1 = All1.x;
gamma_1 = All1.gamma;
p_1 = All1.p;
x_M_1 = All1.x_M;
vc_bs_1 = All1.vc_bs;

All2 = load( 'data/est_o_4' );
include_2 = All2.include;
x_2 = All2.x;
gamma_2 = All2.gamma;
p_2 = All2.p;
x_M_2 = All2.x_M;
vc_bs_2 = All2.vc_bs;

% play with results
K = size(p_1,1);
x = [x_1; x_2];
vc_bs = [vc_bs_1, zeros(K,K); zeros(K,K), vc_bs_2];
include = include_1;

% standard errors
std = sqrt(diag(vc_bs));

% display basic results
[include(1:K)', p_1, p_2, p_1-p_2]

foo = [-999, include(1:K)]';
bar_1 = [x_1; p_1(K)];
bar_2 = [x_2; p_2(K)];
baz_1 = [sqrt(diag(vc_bs(1:K,1:K))); -999];
baz_2 = [sqrt(diag(vc_bs(K+1:end,K+1:end))); -999];
[foo, bar_1, baz_1]
[foo, bar_2, baz_2]
beta_1 = 1 / ( 1 + exp( -1 / gamma_1 ) )
beta_2 = 1 / ( 1 + exp( -1 / gamma_2 ) )

corr(x_1,x_2)

disp(' ');
disp('Tests equality equality of estimated proportions across samples using the waldtest');
disp('------------------------');

[ws wp] = waldtest_gf(x, [2, 8; 3, 9; 4, 10; 5, 11; 6, 12], [], vc_bs);
disp(' ');
disp(sprintf('p-value of all proportions being equal: %1.3f',1-wp));

for i = 2:K
    [ws wp] = waldtest_gf(x, [i, i+6], [], vc_bs);
    if abs(x(i)-x(i+6)) > eps
       disp(' ');
       disp(sprintf('p-value of phi %d being equal in both data: %1.3f',include(i-1),1-wp));
    else
       disp(' ');
       disp(sprintf('p-value of phi %d being equal in both data: Cannot reject H0',include(i-1)));
    end
end
[ws wp] = wald_plus(x, [0,ones(1,K-1),0,-ones(1,K-1)], 0, vc_bs);
if abs(sum(x(2:K))-sum(x(K+2:end))) > eps
    disp(' ');
    disp(sprintf('p-value of phi %d being equal in both data: %1.3f',include(K),1-wp));
else
    disp(' ');
    disp(sprintf('p-value of phi %d being equal in both data: Cannot reject H0',include(K)));
end


disp('------------------------');
disp('------------------------');
disp('------------------------');

%%%%%%%%%%%%%
% Figure out sample size for text
disp(' ');
All1 = load( 'data/dfformatlab_strg_1_special_o.txt' );
All2 = load( 'data/dfformatlab_strg_1_special.txt' );
disp(sprintf('Sample size for treatment 1: %d',length([All1(:,4);All2(:,4)])));
disp(' ');
All1 = load( 'data/dfformatlab_strg_2_special_o.txt' );
All2 = load( 'data/dfformatlab_strg_2_special.txt' );
disp(sprintf('Sample size for treatment 2: %d',length([All1(:,4);All2(:,4)])));
disp(' ');
All1 = load( 'data/dfformatlab_strg_3_special_o.txt' );
All2 = load( 'data/dfformatlab_strg_3_special.txt' );
disp(sprintf('Sample size for treatment 3: %d',length([All1(:,4);All2(:,4)])));
disp(' ');
All1 = load( 'data/dfformatlab_strg_4_special_o.txt' );
All2 = load( 'data/dfformatlab_strg_4_special.txt' );
disp(sprintf('Sample size for treatment 4: %d',length([All1(:,4);All2(:,4)])));

diary off

