clear
clear matrix
capture log close
set more 1
set mem 100m

* Enter the path to the relevant folder here *
*cd "PATH"
cd "/Users/gfrechette/Dropbox (CfESS)/df_strat/text/submission/AER/final"

clear


*** Section III.a

** first paragraph

* Session characteristics

* no of subjects for all treatments together - not how it is written now.
use data/dat_strat_final_ac, clear
append using data/dat_strat_final_d
append using data/dat_strat_final_e
gen foo = 1
table foo if round==1 & match==1, c(count id) /*total number of subjects */
table foo if round==1 & match==1 & treatment <= 5, c(count id) /*total number of subjects in main treatments */
table foo if round==1 & match==1 & treatment >= 6, c(count id) /*total number of subjects in additional treatments */
bysort date: egen bar = sum(foo) if round==1 & match==1 /* provides avg, min and max of subject per session */
sum bar
* In main sessions
sum bar if treatment <= 5
* In menu sessions
sum bar if treatment <= 5 & menu == 1
* In delta = 0.95 treatment 
sum bar if treatment == 6
* In expended treatment
sum bar if treatment == 7
* Additional treatments together
sum bar if treatment >= 6

* # of sessions
use data/dat_strat_final_ac, clear
append using data/dat_strat_final_d
append using data/dat_strat_final_e
collapse id, by(date treatment menu)
sort id
gen count=_n
tab count
* In main sessions
tab count if treatment <= 5
* In menu sessions
tab count if treatment <= 5 & menu == 1
* In delta = 0.95 treatment 
tab count if treatment == 6
* In expended treatment
tab count if treatment == 7
* Additional treatments together
tab count if treatment >= 6

* payoffs in main sessions
use data/dat_strat_final_ac, clear
collapse totalpayoff, by(id date treatment menu)
sum totalpayoff

* number of rounds per match in main sessions
use data/dat_strat_final_ac, clear
collapse (max) round, by(treatment r delta date phase match menu)
bysort delta: sum round

* number of supergames in main sessions
use data/dat_strat_final_ac, clear
sum maxmatch


* Table A1 in the appendix
* description of phases
use data/dat_strat_final_ac, clear
append using data/dat_strat_final_d
append using data/dat_strat_final_e
table session treatment if round==1 & match==1 & treatment <= 5 & menu==0, c(mean date mean r mean delta count id)
table session treatment if round==1 & match==1 & treatment <= 5 & menu==1, c(mean date mean r mean delta count id)
table session treatment if round==1 & match==1 & treatment == 6, c(mean date mean r mean delta count id)
table session treatment if round==1 & match==1 & treatment == 7, c(mean date mean r mean delta count id)

keep if menu==0 & treatment <= 5
gen min_match = match
gen max_match = match
bysort date phase (match round id): gen foo = _n	/* this counts the rounds per date/phase */
gen bar = (foo == round)					/* this takes value 1 if the first round of a phase is round 1 */
keep if round == 1
collapse (min) min_match (max) max_match (max) bar, by(treatment date phase)
gen no_match = max_match - min_match + 1
sort treatment date phase
list treatment date phase no_match max_match bar /* this is for table A1 in the appendix panel A*/
/* it gives the number of matches that have round 1 in that phase */
/* for Phase 3 it lists the number of additional matches on top of the last one it finished in Phase 2 */
/* bar indicates if the phase started in round 1 or midway through a match */


use data/dat_strat_final_ac, clear
keep if menu==1
gen min_match = match
gen max_match = match
bysort date phase (match round id): gen foo = _n	/* this counts the rounds per date/phase */
gen bar = (foo == round)					/* this takes value 1 if the first round of a phase is round 1 */
keep if round == 1
collapse (min) min_match (max) max_match (max) bar, by(treatment date phase)
gen no_match = max_match - min_match + 1
sort treatment date phase
list treatment date phase no_match max_match bar 	/* this is for table A1 in the appendix - panel b*/
/* it gives the number of matches that have round 1 in that phase */
/* for Phase 3 it lists the number of additional matches on top of the last one it finished in Phase 2 */
/* bar indicates if the phase started in round 1 or midway through a match */


use data/dat_strat_final_d, clear
gen min_match = match
gen max_match = match
bysort date phase (match round id): gen foo = _n	/* this counts the rounds per date/phase */
gen bar = (foo == round)					/* this takes value 1 if the first round of a phase is round 1 */
keep if round == 1
collapse (min) min_match (max) max_match (max) bar, by(treatment date phase)
gen no_match = max_match - min_match + 1
sort treatment date phase
list treatment date phase no_match max_match bar 	/* this is for table A1 in the appendix - panel b*/
/* it gives the number of matches that have round 1 in that phase */
/* for Phase 3 it lists the number of additional matches on top of the last one it finished in Phase 2 */
/* bar indicates if the phase started in round 1 or midway through a match */


use data/dat_strat_final_e, clear
gen min_match = match
gen max_match = match
bysort date phase (match round id): gen foo = _n	/* this counts the rounds per date/phase */
gen bar = (foo == round)					/* this takes value 1 if the first round of a phase is round 1 */
keep if round == 1
collapse (min) min_match (max) max_match (max) bar, by(treatment date phase)
gen no_match = max_match - min_match + 1
sort treatment date phase
list treatment date phase no_match max_match bar 	/* this is for table A1 in the appendix - panel b*/
/* it gives the number of matches that have round 1 in that phase */
/* for Phase 3 it lists the number of additional matches on top of the last one it finished in Phase 2 */
/* bar indicates if the phase started in round 1 or midway through a match */

*** III.b Elicitation does not affect behavior ***

****** Generate new data file to be use in this analysis ****
use data/dat_strat_final_ac, clear
keep if phase==2 & round==1

* generate indicator of change strategies for menu sessions
bysort date id (match): gen strategy_type_m1 = strategy_type[_n-1]
gen change_strat = (strategy_type ~= strategy_type_m1)

* generate indicator of change strategies for original sessions or menu sessions where subject chose from memory 1 strategies
bysort date id (match): gen strategy_m1 = strategy[_n-1]
replace change_strat = (strategy ~= strategy_m1) if (menu==0|strategy_type=="OLD")
replace change_strat = . if first==1

bysort date id (match): gen change_strat_M1 = change_strat[_n+1]

*gen strategies from next supergame
bysort date id (match): gen strategy_type_M1 = strategy_type[_n+1]
bysort date id (match): gen strategy_M1 = strategy[_n+1]

*gen memory 1 strategy from next supergame
bysort date id (match): gen initial_strat_M1 = initial_strat[_n+1]
bysort date id (match): gen strat_response_00_M1 = strat_response_00[_n+1]
bysort date id (match): gen strat_response_01_M1 = strat_response_01[_n+1]
bysort date id (match): gen strat_response_10_M1 = strat_response_10[_n+1]
bysort date id (match): gen strat_response_11_M1 = strat_response_11[_n+1]

keep date id match round strategy strategy_type strategy_m1 strategy_type_m1 change_strat change_strat_M1 strategy_M1 strategy_type_M1 initial_strat_M1 strat_response_00_M1 strat_response_01_M1 strat_response_10_M1 strat_response_11_M1

rename strategy nstrategy
rename strategy_type nstrategy_type

sort date id match round

save data/foo, replace

*append to original data file and keep necessary for strategy change analysis
use data/dat_strat_final_ac, clear
keep if phase==2
keep treatment date id match round strategy strategy_type coop ocoop strat_coop initial_strat strat_response_00 strat_response_01 strat_response_10 strat_response_11 menu last first

sort date id match round

merge m:1 date id match using data/foo

drop _merge

replace strategy=nstrategy
replace strategy_type = nstrategy_type

drop nstrategy nstrategy_type

*Generate indicator of mismatch between chosen strategy and behavior in phase 2
gen stratbehdifround = coop - strat_coop
replace stratbehdifround = 1 if stratbehdifround == -1
egen stratbehdif = max(stratbehdifround), by(id match)	/* stratbehdif = 0: decisions = strategy choices in whole supergame; stratbehdif = 1: decisions ~= strategy choices in whole supergame */

*generate past outcome
bysort date id match (round): gen coop_m1 = coop[_n-1]
bysort date id match (round): gen ocoop_m1 = ocoop[_n-1]
save data/dat_stratchange0, replace

keep if round==1
keep date id match stratbehdif
sor date id match
bysort date id (match): gen stratbehdif_m1 = stratbehdif[_n-1]
save data/baa, replace

use data/dat_stratchange0, replace

sort date id match round

merge m:1 date id match using data/baa

drop _merge

save data/dat_stratchange, replace


*Figure 1 Evolution of the Fraction of Subjects Changing their Plan of Action
use data/dat_stratchange, clear
keep if round==1

gen faa=match if first==1
bysort date: egen baa = max(faa)
drop faa

gen matchph2=match-baa+1
drop baa

collapse change_strat, by(treatment matchph2)
tw (line change_strat matchph2 if treatment==1, xtitle("Supergame in Phase 2") ytitle("Fraction of Subjects Changing their Plan of Action") yscale(range(0 .5)) ///
    xscale(range(2 40)) legend(order(1 "{&delta}=1/2 & R=32" 2 "{&delta}=1/2 & R=48" 3 "{&delta}=3/4 & R=32" 4 "{&delta}=3/4 & R=48" 5 "{&delta}=9/10 & R=32") ring(0) pos(2)) graphregion(color(white)) bgcolor(white)) ///
   (line change_strat matchph2 if treatment==2, lp(dash)) ///
   (line change_strat matchph2 if treatment==3, lp(dot)) ///
   (line change_strat matchph2 if treatment==4, lp(dash_dot)) ///
   (line change_strat matchph2 if treatment==5, lp(longdash_dot))

   
*Numbers mentioned in text:   
use data/dat_stratchange, clear

* Rates of disagreement between actions and strategies (at round level)
tab stratbehdifround
tab stratbehdifround if first==1
tab stratbehdifround if last==1

*Rate of strategy change (mentioned in text)
tab change_strat_M1 if first==1 & round==1
tab change_strat if last==1 & round==1


*Table 2: On Changes of Strategies in Phase 2

*Rate of strategy change by difference or not wrt behavior  (More changes of strategies after disagreement in behavior)
table stratbehdif_m1 if round==1, c(mean change_strat)
table treatment stratbehdif_m1 if round==1, c(mean change_strat)


*Last column of Table 2

*First creates what the new strategy would have done in the previous supergame
use data/dat_stratchange, clear
gen strat_M1_coop=1-initial_strat_M1 if menu==0
replace strat_M1_coop=1-strat_response_00_M1 if round>1 & coop_m1==1 & ocoop_m1==1 & menu==0
replace strat_M1_coop=1-strat_response_01_M1 if round>1 & coop_m1==1 & ocoop_m1==0 & menu==0
replace strat_M1_coop=1-strat_response_10_M1 if round>1 & coop_m1==0 & ocoop_m1==1 & menu==0
replace strat_M1_coop=1-strat_response_11_M1 if round>1 & coop_m1==0 & ocoop_m1==0 & menu==0

replace strat_M1_coop=1-initial_strat_M1 if menu==1 & strategy_type_M1=="OLD" /* creates variables for memory1 strategies in menu sessions */
replace strat_M1_coop=1-strat_response_00_M1 if round>1 & coop_m1==1 & ocoop_m1==1 & menu==1 & strategy_type_M1=="OLD"
replace strat_M1_coop=1-strat_response_01_M1 if round>1 & coop_m1==1 & ocoop_m1==0 & menu==1 & strategy_type_M1=="OLD"
replace strat_M1_coop=1-strat_response_10_M1 if round>1 & coop_m1==0 & ocoop_m1==1 & menu==1 & strategy_type_M1=="OLD"
replace strat_M1_coop=1-strat_response_11_M1 if round>1 & coop_m1==0 & ocoop_m1==0 & menu==1 & strategy_type_M1=="OLD"



/* creates variables for memory1 strategies in menu sessions ONLY for those with disagreement at t and change of strategy at t+1*/

replace strat_M1_coop=0 if strategy_type_M1=="AD" 
replace strat_M1_coop=1 if strategy_type_M1=="AC"

*CD-2
replace strat_M1_coop=(round<3) if strategy_type_M1=="CD-2"

*CD-3
replace strat_M1_coop=(round<4) if strategy_type_M1=="CD-3"

*TFT
replace strat_M1_coop=1 if strategy_type_M1=="TFT" & round==1
replace strat_M1_coop=ocoop_m1 if strategy_type_M1=="TFT" & round>1

*STFT
replace strat_M1_coop=0 if strategy_type_M1=="STFT" & round==1
replace strat_M1_coop=ocoop_m1 if strategy_type_M1=="STFT" & round>1

*WSLS
replace strat_M1_coop=1 if strategy_type_M1=="WSLS" & round==1
replace strat_M1_coop=(coop_m1==ocoop_m1) if strategy_type_M1=="WSLS" & round>1

*DWSLS
replace strat_M1_coop=0 if strategy_type_M1=="DWSLS" & round==1
replace strat_M1_coop=(coop_m1==ocoop_m1) if strategy_type_M1=="DWSLS" & round>1

*Grim & Grim-1
gen ups=2-coop-ocoop
bysort date id match : gen sumups = sum(ups)
bysort date id match (round): gen bad = (sumups[_n-1]>0)
replace bad=0 if round==1
replace strat_M1_coop=(bad==0) if (strategy_type_M1=="GRIM"|strategy_type_M1=="GRIM-1")

drop ups sumups bad

*Grim 2 (only one instance in the relevant range with many rounds but trigger D for r=3)
replace strat_M1_coop=(round<3) if strategy_type_M1=="GRIM-2" & stratbehdif==1 & change_strat_M1 ==1

*Grim 3 (only one instance in the relevant range with only two rounds -> cooperate in both rounds)
replace strat_M1_coop=1 if strategy_type_M1=="GRIM-3" & stratbehdif==1 & change_strat_M1 ==1

*Grim 4 (only one instance in the relevant range with only three rounds -> cooperate in all rounds)
replace strat_M1_coop=1 if strategy_type_M1=="GRIM-4" & stratbehdif==1 & change_strat_M1 ==1

*TX-1 
gen state=0 if strategy_type_M1=="TX-1"
local i=2
while `i'<100 {
bysort date id match (round): replace state = 1 if round==`i' & state[_n-1]==0 & (coop_m1==0|ocoop_m1==0)
local i=`i'+1
}
replace strat_M1_coop=(state<1) if strategy_type_M1=="TX-1"
drop state

*TX-2 
gen state=0 if strategy_type_M1=="TX-2"
local i=2
while `i'<50 {
bysort date id match (round): replace state = 1 if round==`i' & state[_n-1]==0 & (coop_m1==0|ocoop_m1==0)
bysort date id match (round): replace state = 2 if round==`i' & state[_n-1]==1
local i=`i'+1
}
replace strat_M1_coop=(state<1) if strategy_type_M1=="TX-2"
drop state

*TX-3
gen state=0 if strategy_type_M1=="TX-3"
local i=2
while `i'<50 {
bysort date id match (round): replace state = 1 if round==`i' & state[_n-1]==0 & (coop_m1==0|ocoop_m1==0)
bysort date id match (round): replace state = 2 if round==`i' & state[_n-1]==1
bysort date id match (round): replace state = 3 if round==`i' & state[_n-1]==2
local i=`i'+1
}
replace strat_M1_coop=(state<1) if strategy_type_M1=="TX-3"
drop state

*TX-5 
gen state=0 if strategy_type_M1=="TX-5"
local i=2
while `i'<50 {
bysort date id match (round): replace state = 1 if round==`i' & state[_n-1]==0 & (coop_m1==0|ocoop_m1==0)
bysort date id match (round): replace state = 2 if round==`i' & state[_n-1]==1
bysort date id match (round): replace state = 3 if round==`i' & state[_n-1]==2
bysort date id match (round): replace state = 4 if round==`i' & state[_n-1]==3
bysort date id match (round): replace state = 5 if round==`i' & state[_n-1]==4
local i=`i'+1
}
replace strat_M1_coop=(state<1) if strategy_type_M1=="TX-5"
drop state

*TFXT-2
replace strat_M1_coop=(round<3) if strategy_type_M1=="TFXT-2"
bysort date id match (round): gen ocoop_m2 = ocoop[_n-2]
replace strat_M1_coop=(ocoop_m1+ocoop_m2>0) if strategy_type_M1=="TFXT-2" & round>2

*Calculate disagreement of behavior at t with recommendations from t+1 strategy
gen strat_M1_behdifround = (coop ~= strat_M1_coop)
replace strat_M1_behdifround=. if strat_M1_coop==.
egen strat_M1_behdif = max(strat_M1_behdifround), by(id match)

/* whether future strategy got it right today */
gen rightinround=1-strat_M1_behdifround

*Calculates last column in Table 2
table treatment if stratbehdifround==1 & change_strat_M1 ==1 , c(mean rightinround)
table stratbehdifround if change_strat_M1 ==1 , c(mean rightinround)


** Comparing behavior with and without elicitation
* Tables A3 and A4

use data/dat_strat_final_oac, clear
drop if treatment==5
drop if phase==3

*generate lenght of previous supergame
bysort date id match (round): gen length = _N
bysort date id (match): gen baa = length[_n-1] if round==1
bysort date id match: egen length_m1 = mean(baa)
drop baa

* generate the elicitation dummy

gen elicitation=(original==0 & phase==2)

save data/dat_strat_elicitationok, replace

*All rounds
use data/dat_strat_elicitationok, clear
collapse coop length_m1 elicitation, by(date match treatment)
local i=0
while `i'<4 {
local i=`i'+1
xi: reg coop match length_m1 elicitation i.date if treatment==`i', cluster(date)
}

* Round 1

use data/dat_strat_elicitationok, clear
keep if round==1
collapse coop length_m1 elicitation, by(date match treatment)
local i=0
while `i'<4 {
local i=`i'+1
xi: reg coop match length_m1 elicitation i.date if treatment==`i', cluster(date)
}

* Round 2
use data/dat_strat_elicitationok, clear
keep if round==2
collapse coop length_m1 elicitation, by(date match treatment coop_m1 ocoop_m1)

* Round 2 after CC

local i=0
while `i'<4 {
local i=`i'+1
xi: reg coop match length_m1 elicitation i.date if treatment==`i' & coop_m1==1 & ocoop_m1==1, cluster(date)
}

* Round 2 after CD
local i=0
while `i'<4 {
local i=`i'+1
xi: reg coop match length_m1 elicitation i.date if treatment==`i' & coop_m1==1 & ocoop_m1==0, cluster(date)
}

* Round 2 after DC
local i=0
while `i'<4 {
local i=`i'+1
xi: reg coop match length_m1 elicitation i.date if treatment==`i' & coop_m1==0 & ocoop_m1==1, cluster(date)
}

* Round 2 after DD
local i=0
while `i'<4 {
local i=`i'+1
xi: reg coop match length_m1 elicitation i.date if treatment==`i' & coop_m1==0 & ocoop_m1==0, cluster(date)
}

***Table A4:  Check robustness of study of whether elicitation affect behavior by focusing only on sessions with elicitation ***

use data/dat_strat_elicitationok, clear
drop if original==1
collapse coop length_m1 elicitation, by(date match treatment)
local i=0
while `i'<4 {
local i=`i'+1
xi: reg coop match length_m1 elicitation i.date if treatment==`i', cluster(date)
}

* Round 1

use data/dat_strat_elicitationok, clear
drop if original==1
keep if round==1
collapse coop length_m1 elicitation, by(date match treatment)
local i=0
while `i'<4 {
local i=`i'+1
xi: reg coop match length_m1 elicitation i.date if treatment==`i', cluster(date)
}

* Round 2
use data/dat_strat_elicitationok, clear
keep if round==2
drop if original==1
collapse coop length_m1 elicitation, by(date match treatment coop_m1 ocoop_m1)

* Round 2 after CC

local i=0
while `i'<4 {
local i=`i'+1
xi: reg coop match length_m1 elicitation i.date if treatment==`i' & coop_m1==1 & ocoop_m1==1, cluster(date)
}

* Round 2 after CD
local i=0
while `i'<4 {
local i=`i'+1
xi: reg coop match length_m1 elicitation i.date if treatment==`i' & coop_m1==1 & ocoop_m1==0, cluster(date)
}

* Round 2 after DC
local i=0
while `i'<4 {
local i=`i'+1
xi: reg coop match length_m1 elicitation i.date if treatment==`i' & coop_m1==0 & ocoop_m1==1, cluster(date)
}

* Round 2 after DD
local i=0
while `i'<4 {
local i=`i'+1
xi: reg coop match length_m1 elicitation i.date if treatment==`i' & coop_m1==0 & ocoop_m1==0, cluster(date)
}



*** III.c Is Memory One Enough? ***

use data/dat_strat_final_oac, clear
keep if menu == 1

drop if round > 1
keep if phase==2
keep if last==1

* do they use the menu or "build your own"
gen use_menu = ( strategy_type ~= "OLD" )
tab use_menu
table treatment, c(mean use_menu)

* fraction of memory 1
tab memory1
table treatment, c(mean memory1)

* What fractions of choices do not fit elicited strategy
use data/dat_strat_final_ac, clear
keep if menu == 0
keep if phase == 2
keep if last == 1

gen foo = ( strat_coop == coop )
tab foo
table treatment menu, c(mean foo)

egen min_foo = min( foo ), by( id )
tab min_foo if round == 1



**  III.d  Final strategy choices **
* Table 3: One Panel - Distribution of elicited strategies 
use data/dat_strat_final_ac, clear
table treatment if phase==2 & last==1 & round==1, c(mean ac mean tft mean grim mean wsls mean stft)
table treatment if phase==2 & last==1 & round==1, c(mean ad)

keep if phase==2 & last==1 & round==1
collapse ac tft grim wsls stft ad memory1 ne spe (count) id, by(treatment)

* For footnote 22 about whether people stick with Grim or not
* i.e. hot vs cold
* Do people plan to punish for a long time but then change their mind and forgive?
use data/dat_strat_final_ac, clear
keep if phase==2
keep date id match round strategy strategy_type grim tft wsls coop ocoop strat_coop treatment
sort date id match round
bysort date id match: egen ngrim = max(grim)
replace grim=ngrim
bysort date id match: egen ntft = max(tft)
replace tft=ntft
* Keep only TFT and Grim
keep if tft==1|grim==1
* gen variables to keep the right supergames: when a cooperative person met a D in round 1 and defected in round 2 in response. We then study whether this person defected or cooperated in round 3 ***
gen k1=coop if round==1
gen k2=ocoop if round==1
gen k3=coop if round==2
gen k4=ocoop if round==2
bysort date id match: egen kk1 = max(k1)
bysort date id match: egen kk2 = max(k2)
bysort date id match: egen kk3 = max(k3)
bysort date id match: egen kk4 = max(k4)
keep if round<4
keep if kk1==1 & kk2==0 & kk3==0 & kk4==1 /*keep subjects who cooperated in round 1, and faced a defection, then they defected in round 2 but face then a cooperation. Do they forgive? */
table grim treatment if round==3, c(count id) col
table grim treatment if round==3, c(mean coop) col
gen stratbehdifround = coop - strat_coop
replace stratbehdifround = 1 if stratbehdifround == -1
table grim treatment if round==3, c(mean stratbehdifround) col
reg stratbehdifround grim if round==3, cluster(date)

* back to results from Table 3
*test hypothesis
use data/dat_strat_final_ac, clear
keep if phase==2 & last==1 & round==1

**** Comparative Statics of TFT/(TFT+Grim) 
reg tft treat_2 treat_3 treat_4 treat_5 if (tft==1|grim==1), cluster(date)

*effect of delta
test treat_3=treat_5
test treat_2=treat_4
test treat_3=treat_5
test treat_2=treat_4, accum

*effect of R
test treat_2
test treat_3=treat_4
test treat_2
test treat_3=treat_4, accum

* repeat w/out clustering
**** Comparative Statics of TFT/(TFT+Grim) 
reg tft treat_2 treat_3 treat_4 treat_5 if (tft==1|grim==1)

*effect of delta
test treat_3=treat_5
test treat_2=treat_4
test treat_3=treat_5
test treat_2=treat_4, accum

*effect of R
test treat_2
test treat_3=treat_4
test treat_2
test treat_3=treat_4, accum

**** Comparative Statics of STFT 
reg stft treat_2 treat_3 treat_4 treat_5, cluster(date)

*effect of delta
test treat_3=treat_5
test treat_2=treat_4
test treat_3=treat_5
test treat_2=treat_4, accum

*effect of R
test treat_2
test treat_3=treat_4
test treat_2
test treat_3=treat_4, accum

* repeat w/out clustering
**** Comparative Statics of STFT
reg stft treat_2 treat_3 treat_4 treat_5

*effect of delta
test treat_3=treat_5
test treat_2=treat_4
test treat_3=treat_5
test treat_2=treat_4, accum

*effect of R
test treat_2
test treat_3=treat_4
test treat_2
test treat_3=treat_4, accum


*** Appendix B

* Table A2: Cooperation Rates by Treatment
use data/dat_strat_final_ac, clear
table treatment if phase==1 & round==1, c(mean coop)
table treatment if phase==1 & round==1 & last==1, c(mean coop)
table treatment if phase==2 & round==1, c(mean coop)
table treatment if phase==2 & round==1 & last==1, c(mean coop)
table treatment if phase==1, c(mean coop)
table treatment if phase==1 & last==1, c(mean coop)
table treatment if phase==2, c(mean coop)
table treatment if phase==2 & last==1, c(mean coop)

* Figure A1: Evolution of Cooperation
use data/dat_strat_final_oac, clear
drop if phase==3
keep if round==1
collapse coop delta r, by(match treatment original)
twoway (line coop match if treatment==1 & original==0 , xline(25) xline(38) title("{&delta}=1/2 & R=32") ytitle("Cooperation Rate") xtitle("Supergame") ylabel(0(0.2)1) xlabel(0(10)80) legend(order(1 "This Experiment" 2 "Dal Bó & Fréchette (2011)")) text(.95 12 "Phase 1", place(center) margin(l+2 r+2 rt+1 b+1)) text(.95 60 "Phase 2", place(center) margin(l+2 r+2 rt+1 b+1))) ///
       (line coop match if treatment==1 & original==1, lp(dash) graphregion(color(white)) bgcolor(white)) , saving("f1",replace)
twoway (line coop match if treatment==2 & original==0 , xline(26) xline(47) title("{&delta}=1/2 & R=48") ytitle("Cooperation Rate") xtitle("Supergame") ylabel(0(0.2)1) xlabel(0(10)80) legend(off) text(.95 12 "Phase 1", place(center) margin(l+2 r+2 rt+1 b+1)) text(.95 60 "Phase 2", place(center) margin(l+2 r+2 rt+1 b+1))) ///
       (line coop match if treatment==2 & original==1, lp(dash) graphregion(color(white)) bgcolor(white)) , saving("f2",replace)
twoway (line coop match if treatment==3 & original==0 , xline(16) xline(26) title("{&delta}=3/4 & R=32") ytitle("Cooperation Rate") xtitle("Supergame") ylabel(0(0.2)1) xlabel(0(10)80) legend(off) text(.95 7 "Phase 1", place(center) margin(l+2 r+2 rt+1 b+1)) text(.95 40 "Phase 2", place(center) margin(l+2 r+2 rt+1 b+1))) ///
       (line coop match if treatment==3 & original==1, lp(dash) graphregion(color(white)) bgcolor(white)) , saving("f3",replace)
twoway (line coop match if treatment==4 & original==0 , xline(11) xline(25) title("{&delta}=3/4 & R=48") ytitle("Cooperation Rate") xtitle("Supergame") ylabel(0(0.2)1) xlabel(0(10)80) legend(off) text(.1 6 "Phase 1", place(center) margin(l+2 r+2 rt+1 b+1)) text(.1 36 "Phase 2", place(center) margin(l+2 r+2 rt+1 b+1))) ///
       (line coop match if treatment==4 & original==1, lp(dash) graphregion(color(white)) bgcolor(white)) , saving("f4",replace)   
twoway (line coop match if treatment==5 & original==0 , xline(6) xline(13) title("{&delta}=9/10 & R=32") ytitle("Cooperation Rate") xtitle("Supergame") ylabel(0(0.2)1) xlabel(0(10)80) legend(off) text(.1 2.5 "Phase 1", place(center) margin(l+2 r+2 rt+1 b+1)) text(.1 30 "Phase 2", place(center) margin(l+2 r+2 rt+1 b+1))) ///
       (line coop match if treatment==5 & original==1, lp(dash) graphregion(color(white)) bgcolor(white)) , saving("f5",replace)
grc1leg "f1" "f3" "f5" "f2" "f4", graphregion(color(white)) ring(1) position(6) note("Note: Vertical lines denote the first and last supergame for the start of Phase 2 among sessions for each treatment in this experiment.", linegap(1) size(vsmall))	   

* Table A5: Distribution of elicited strategies - Memory 1 elicitation
use data/dat_strat_final_ac, clear
keep if menu==0
table strategy treatment if phase==2 & last==1 & round==1, c(count id)

*number of observations
table treatment if match==1 & round==1, c(count id)

* Table A6: Distribution of elicited strategies - Menu Elicitation
use data/dat_strat_final_ac, clear
keep if menu==1
table strategy_type treatment if phase==2 & last==1 & round==1, c(count id)

table strategy treatment if phase==2 & last==1 & round==1, c(count id)

*** Grim TFT and AD for the very end ***
table treatment if phase==2 & last==1 & round==1, c(mean ad mean grim mean tft)

*number of observations:
table treatment if match==1 & round==1, c(count id)

* Table A9
use data/dat_strat_final_oac, clear
drop if treatment==5
keep if phase==1

*panel A
table original treatment if round==1, c(mean coop)

probit coop original if round==1 & treatment==1, cluster(date)
probit coop original if round==1 & treatment==2, cluster(date)
probit coop original if round==1 & treatment==3, cluster(date)
probit coop original if round==1 & treatment==4, cluster(date)

*panel B
table original treatment if round==1 & last==1, c(mean coop)

probit coop original if round==1 & last==1 & treatment==1, cluster(date)
probit coop original if round==1 & last==1 & treatment==2, cluster(date)
probit coop original if round==1 & last==1 & treatment==3, cluster(date)
probit coop original if round==1 & last==1 & treatment==4, cluster(date)

*** Appendix D.i


* Robustness Session Characteristics and things in the text

* no of subjects
use data/dat_strat_final_d, clear
append using data/dat_strat_final_e
gen foo = 1
table foo if round==1 & match==1, c(count id)
bysort date: egen bar = sum(foo) if round==1 & match==1
sum bar
table session treatment if round==1 & match==1, c(mean date mean r mean delta count id)	/* this is for table A1 in the appendix */
drop foo

* number of rounds per match
use data/dat_strat_final_d, clear
append using data/dat_strat_final_e
collapse (max) round, by(treatment r delta date phase match)
bysort delta: sum round

* description of phases
use data/dat_strat_final_d, clear
append using data/dat_strat_final_e
gen min_match = match
gen max_match = match
bysort date phase (match round id): gen foo = _n	/* this counts the rounds per date/phase */
gen bar = (foo == round)					/* this takes value 1 if the first round of a phase is round 1 */
keep if round == 1
collapse (min) min_match (max) max_match (max) bar, by(treatment date phase)
gen no_match = max_match - min_match + 1
sort treatment date phase
list treatment date phase no_match max_match bar	/* this is for table A1 in the appendix */
/* it gives the number of matches that have round 1 in that phase */
/* for Phase 3 it lists the number of additional matches on top of the last one it finished in Phase 2 */
/* bar indicates if the phase started in round 1 or midway through a match */

*Figure A3: Evolution of cooperation first rounds delta=.9 versus .95
use data/dat_strat_final_ac,clear
drop if menu==0
append using data/dat_strat_final_d

drop if treatment < 5
drop if round > 1
drop if phase > 2

* keep matches for which all sessions of a treatment are available
egen foo = max(match), by(date)	/* the number of matches in a session */
egen bar = min(foo), by(treatment)	/* the min no of matches per treatment */
drop if match > bar	/* drop the matches where there is less than the max number of sessions */

collapse coop if round==1, by(treatment match)

twoway line coop match if treatment==5, ///
   || line coop match if treatment==6, ///
   legend(label(1 "{&delta} = 0.9") label(2 "{&delta} = 0.95") ring(0) pos(4) rows(2) ) ///
   xtitle("Supergame") ytitle("Cooperation Rate") ylabel(0(0.2)1) xlabel(1(1)12) ///
   note("Note: For a given treatment only includes matches that have data in all sessions.") ///
   graphregion(color(white)) bgcolor(white) scheme(s2mono)

* test for differences between original with d=0.9 and d=0.95

use data/dat_strat_final_ac,clear
drop if menu==0
append using data/dat_strat_final_d

drop if treatment < 5
drop if phase > 2

gen d95=(delta>.91)

* all rounds
table d95, c(mean coop)
probit coop d95, cluster(date)
probit coop d95 if phase==1, cluster(date)
probit coop d95 if phase==2, cluster(date)

probit coop d95 if phase==1 & last==1, cluster(date)
probit coop d95 if phase==2 & last==1, cluster(date)

* round 1 only
drop if round > 1

table d95, c(mean coop)
probit coop d95, cluster(date)
probit coop d95 if phase==1, cluster(date)
probit coop d95 if phase==2, cluster(date)

probit coop d95 if phase==1 & last==1, cluster(date)
probit coop d95 if phase==2 & last==1, cluster(date)

*difference in memory 1 between delta=.9 and .95?
table treatment if phase==2 & last==1 & round==1, c(mean memory1)
probit memory1 d95 if phase==2 & last==1, cluster(date)
reg memory1 d95 if phase==2 & last==1, cluster(date) /*We use this one in the text for consistency with previous sections */

*Differences in prevalence of Grim and Grim_2 significant?
reg grim d95 if phase==2 & last==1, cluster(date)
reg grim d95 if phase==2 & last==1
reg grim2 d95 if phase==2 & last==1, cluster(date)
reg grim2 d95 if phase==2 & last==1

*Table A11: Distribution of Elicited strategies (d=,95 column)
use data/dat_strat_final_ac, clear
drop if menu==0
append using data/dat_strat_final_d

keep if phase==2 & last==1 & round==1
keep if treatment>4
collapse ac tft grim grim2 wsls stft ad memory1 ne spe (count) id, by(treatment)

* Figure A4: Percentage of memory 1 in sessions with menues
use data/dat_strat_final_ac,clear
drop if menu==0
append using data/dat_strat_final_d

drop if round > 1
keep if phase==2
keep if last==1

collapse memory1 treatment, by(delta r)

twoway sc memory1 delta if r==32, c(l) m(S) mc(gs10) lc(gs10) ///
   || sc memory1 delta if r==48, c(l) m(O) lpattern(dash) mc(gs1) lc(gs1) ///
   legend(label(1 "R = 32") label(2 "R = 48") ring(0) pos(4) rows(2) ) ///
   xtitle("{&delta}") ytitle("Ratio of Memory 1 Strategies") ylabel(0(0.1)1) xlabel(0.5(0.1)1) ///
      graphregion(color(white)) bgcolor(white) scheme(s2mono)

** comparative statics

** Comparative Statics of TFT/(TFT+Grim) -  versus delta=9/10
use data/dat_strat_final_ac,clear
drop if menu==0
append using data/dat_strat_final_d
drop treat_2 treat_3 treat_4 treat_5 treat_6
gen treat_3=(treatment==3)
gen treat_4=(treatment==4)
gen treat_5=(treatment==5)
gen treat_6=(treatment==6)

keep if phase==2 & last==1 & round==1


reg tft treat_3 treat_4 treat_5 treat_6 if (tft==1|grim==1), cluster(date)

test treat_3=treat_6
test treat_5=treat_6

* joint
test treat_3=treat_6
test treat_5=treat_6, accum

* repeat w/out cluster
reg tft treat_3 treat_4 treat_5 treat_6 if (tft==1|grim==1)

test treat_3=treat_6
test treat_5=treat_6

* joint
test treat_3=treat_6
test treat_5=treat_6, accum

** Comparative Statics of STFT 
reg stft treat_3 treat_4 treat_5 treat_6, cluster(date)
test treat_3=treat_6
test treat_5=treat_6

* joint
test treat_3=treat_6
test treat_5=treat_6, accum

* repeat w/out cluster
reg stft treat_3 treat_4 treat_5 treat_6
test treat_3=treat_6
test treat_5=treat_6

* joint
test treat_3=treat_6
test treat_5=treat_6, accum



*** Appendix D.ii

*Table A12 created from Tables A13 and A14

*Table A13: Distribution of Elicited strategies (d=.95 column)
use data/dat_strat_final_ac,clear
drop if menu==0
append using data/dat_strat_final_d

keep if phase==2 & last==1 & round==1
tab treatment
keep if treatment>4
table strategy_type treatment if phase==2 & last==1 & round==1, c(count id)
table strategy treatment if phase==2 & last==1 & round==1, c(count id)

** Now start construct Table A14 (Table 12 is made from this as well)
use data/dat_strat_final_e, clear

* code the strategy for the first two rounds of subjects selecting "EVEN_ODD_TWO_ROUND_HISTORY"
gen first_two = 10000*strategyparaminitial+1000*strat_response_00+100*strat_response_10+10*strat_response_01+strat_response_11 if strategy_type == "EVEN_ODD_TWO_ROUND_HISTORY"

* create a variable that indicates if a subject always defect when rounds are even
gen ad_even = 0
replace ad_even = 1 if (first_two == 11111 | first_two == 1111) & even_strat_response_00 == 1 & even_strat_response_10 == 1 & even_strat_response_20 == 1 & even_strat_response_30 == 1 & even_strat_response_01 == 1 & even_strat_response_11 == 1 & even_strat_response_21 == 1 & even_strat_response_31 == 1 & even_strat_response_02 == 1 & even_strat_response_12 == 1 & even_strat_response_22 == 1 & even_strat_response_32 == 1 & even_strat_response_03 == 1 & even_strat_response_13 == 1 & even_strat_response_23 == 1 & even_strat_response_33 == 1 & strategy_type == "EVEN_ODD_TWO_ROUND_HISTORY"

* create a variable that indicates if odd rounds choices are not conditioned on even round choices
gen odd_ind = 0
replace odd_ind = 1 if odd_strat_response_00 == odd_strat_response_10 & odd_strat_response_01 == odd_strat_response_11 & odd_strat_response_02 == odd_strat_response_12 & odd_strat_response_03 == odd_strat_response_13 & odd_strat_response_20 == odd_strat_response_30 & odd_strat_response_21 == odd_strat_response_31 & odd_strat_response_22 == odd_strat_response_32 & odd_strat_response_23 == odd_strat_response_33 & odd_strat_response_00 == odd_strat_response_01 & odd_strat_response_10 == odd_strat_response_11 & odd_strat_response_20 == odd_strat_response_21 & odd_strat_response_30 == odd_strat_response_31 & odd_strat_response_02 == odd_strat_response_03 & odd_strat_response_12 == odd_strat_response_13 & odd_strat_response_22 == odd_strat_response_23 & odd_strat_response_32 == odd_strat_response_33 & strategy_type == "EVEN_ODD_TWO_ROUND_HISTORY"

** Table A14 
table strategy_type treatment if phase==2 & last==1 & round==1, c(count id)
table strategy treatment if phase==2 & last==1 & round==1, c(count id)
table mem_one_in_two treatment if strategy_type == "TWO_ROUND_HISTORY" & phase==2 & last==1 & round==1, c(count id)

*** what strategy do they define using the TWO_ROUND_HISTORY
tab ac_a if strategy_type == "TWO_ROUND_HISTORY" & phase==2 & last==1 & round==1 & treatment ==7
tab ad_a if strategy_type == "TWO_ROUND_HISTORY" & phase==2 & last==1 & round==1 & treatment ==7
tab grim_a if strategy_type == "TWO_ROUND_HISTORY" & phase==2 & last==1 & round==1 & treatment ==7
tab tft_a if strategy_type == "TWO_ROUND_HISTORY" & phase==2 & last==1 & round==1 & treatment ==7
tab stft_a if strategy_type == "TWO_ROUND_HISTORY" & phase==2 & last==1 & round==1 & treatment ==7
tab wsls_a if strategy_type == "TWO_ROUND_HISTORY" & phase==2 & last==1 & round==1 & treatment ==7


*** Appendix E.i

* Figure A5

***************
* one subject playing Grim, phi_Grim = 1
clear
* load data
insheet results_50 results_75 results_90 nothing using data/sim_jel.txt, tab
drop nothing
* generate data
gen supergame = _n
* graph
tw line results_50 supergame, c(l) m(S) lpattern(shortdash) || ///
	line results_75 supergame, c(l) m(S) lpattern(longdash) || ///
	line results_90 supergame, c(l) m(S) lpattern(solid) ///
title("One Subject Playing Grim: {it:{&phi}{sub:Grim}} = 1", size(small)) ///
ytitle("Average Estimated {it:{&phi}{sub:Grim}}", size(small)) yscale(range(0 1)) ylabel(0(0.1)1) ///
	xtitle("Number of Supergames", size(small)) xscale(range(1 26)) xlabel(1(5)26) ///
legend( order(1 2 3) label(1 "{it:{&delta}} = 1/2") label(2 "{it:{&delta}} = 3/4")  label(3 "{it:{&delta}} = 9/10") cols(1) ring(0) pos(5) size(small) ) ///
	graphregion(color(white)) bgcolor(white) scheme(s2mono)  ///
	saving("foo" , replace)

***************
* one subject, phi_Grim = 1/2
clear
* load data
insheet results_50 results_75 results_90 nothing using data/sim_jel_2.txt, tab
drop nothing
* generate data
gen supergame = _n
* drop data
drop if results_50 == 0
* graph
tw line results_50 supergame, c(l) m(S) lpattern(shortdash) || ///
	line results_75 supergame, c(l) m(S) lpattern(longdash) || ///
	line results_90 supergame, c(l) m(S) lpattern(solid) ///
title("One Subject Playing Grim 50% of the Time: {it:{&phi}{sub:Grim}} = 1/2", size(small)) ///
ytitle("Average Estimated {it:{&phi}{sub:Grim}}", size(small)) yscale(range(0 1)) ylabel(0(0.1)1) ///
	xtitle("Number of Supergames", size(small)) xscale(range(1 26)) xlabel(1(5)26) ///
	legend(off) ///
	graphregion(color(white)) bgcolor(white) scheme(s2mono)  ///
	saving("bar" , replace)

***************
* two subjects, one playing Grim, phi_Grim = 1/2
clear
* load data
insheet results_50 results_75 results_90 nothing using data/sim_jel_3.txt, tab
drop nothing
* generate data
gen supergame = _n
* graph
tw line results_50 supergame, c(l) m(S) lpattern(shortdash) || ///
	line results_75 supergame, c(l) m(S) lpattern(longdash) || ///
	line results_90 supergame, c(l) m(S) lpattern(solid) ///
title("Two Subjects, One Playing Grim: {it:{&phi}{sub:Grim}} = 1/2", size(small)) ///
ytitle("Average Estimated {it:{&phi}{sub:Grim}}", size(small)) yscale(range(0 1)) ylabel(0(0.1)1) ///
	xtitle("Number of Supergames", size(small)) xscale(range(1 26)) xlabel(1(5)26) ///
	legend(off) ///
	graphregion(color(white)) bgcolor(white) scheme(s2mono)  ///
	saving("baz" , replace)

***************
* 40 subjects, 20 playing Grim, phi_Grim = 1/2
clear
* load data
insheet results_50 results_75 results_90 nothing using data/sim_jel_5.txt, tab
drop nothing
* generate data
gen supergame = _n
* graph
tw line results_50 supergame, c(l) m(S) lpattern(shortdash) || ///
	line results_75 supergame, c(l) m(S) lpattern(longdash) || ///
	line results_90 supergame, c(l) m(S) lpattern(solid) ///
title("Fourty Subjects, Twenty Playing Grim: {it:{&phi}{sub:Grim}} = 1/2", size(small)) ///
ytitle("Average Estimated {it:{&phi}{sub:Grim}}", size(small)) yscale(range(0 1)) ylabel(0(0.1)1) ///
	xtitle("Number of Supergames", size(small)) xscale(range(1 26)) xlabel(1(5)26) ///
legend(off) ///
	graphregion(color(white)) bgcolor(white) scheme(s2mono)  ///
	saving("qux" , replace)

graph combine "foo.gph" "bar.gph" "baz.gph" "qux.gph", ///
  row(2) ///
  graphregion(color(white)) scheme(s2mono)


*** Appendix E.iii

* Figure A7
clear
* load data
insheet gamma ad ac grim tft stft tft12 tft13 tft21 tft22 grim2 nothing using data/sim_power_imp_2a.txt, tab
drop nothing
* generate new variables
gen grim3 = 1 - ( ad + ac + grim + tft + stft + tft12 + tft13 + tft21 + tft22 + grim2 )
gen bc = .
replace bc = 2 if _n <= 1000
replace bc = 2.5 if _n > 1000 & _n < 2000
replace bc = 4 if _n > 2000
gen high_mem = tft12 + tft13 + tft21 + tft22 + grim2 + grim3
graph tw kdensity high_mem if bc == 2, lpattern(solid) || ///
    kdensity high_mem if bc == 2.5, lpattern(longdash) || ///
	  kdensity high_mem if bc == 4, lpattern(shortdash) ///
		xline(0.0683634, lwidth(medthick) lpattern(dash)) xline(0.67, lpattern(solid)) xline(0.61, lpattern(longdash)) xline(0.6, lpattern(shortdash)) ///
		ytitle("Density") ///
	  xtitle("Fraction of Strategies with Memory > 1") ///
	  xscale(range(0.0 1.0)) xlabel(0.0(0.2)1.0) ///
		title("{&delta} = 1/2, R = 48") ///
	  legend(off) ///
	  graphregion(color(white)) bgcolor(white) scheme(s2mono)  ///
		note("The dashed vertical line: estimates from our data." "Other vertical lines indicate the fraction from the respective data generating process." "Solid for b/c = 2, long dash for b/c = 2.5, and short dash for b/c = 4.", size(small))

* Figure A8
clear
* load data
insheet gamma ad ac grim tft stft tft12 tft13 tft21 tft22 grim2 nothing using data/sim_power_imp_5a.txt, tab
drop nothing
* generate new variables
gen grim3 = 1 - ( ad + ac + grim + tft + stft + tft12 + tft13 + tft21 + tft22 + grim2 )
gen bc = .
replace bc = 2 if _n <= 1000
replace bc = 2.5 if _n > 1000 & _n < 2000
replace bc = 4 if _n > 2000
gen high_mem = tft12 + tft13 + tft21 + tft22 + grim2 + grim3
graph tw kdensity high_mem if bc == 2, lpattern(solid) || ///
    kdensity high_mem if bc == 2.5, lpattern(longdash) || ///
	  kdensity high_mem if bc == 4, lpattern(shortdash) ///
		xline(0.2126397, lwidth(medthick) lpattern(dash)) xline(0.67, lpattern(solid)) xline(0.61, lpattern(longdash)) xline(0.6, lpattern(shortdash)) ///
		ytitle("Density") ///
	  xtitle("Fraction of Strategies with Memory > 1") ///
	  xscale(range(0.0 1.0)) xlabel(0.0(0.2)1.0) ///
		title("{&delta} = 9/10, R = 32") ///
	  legend(off) ///
	  graphregion(color(white)) bgcolor(white) scheme(s2mono)  ///
		note("The dashed vertical line: estimates from our data." "Other vertical lines indicate the fraction from the respective data generating process." "Solid for b/c = 2, long dash for b/c = 2.5, and short dash for b/c = 4.", size(small))



*Table A20

use data/dat_strat_final_ac,clear
keep date treatment delta r session match round id coop ocoop coop_m1 ocoop_m1 phase
gen ad=0
gen tft=0 
replace tft=1 if round==1
replace tft=1 if ocoop_m1==1 & round>1
gen ups=2-coop-ocoop
bysort date id match: gen sumups = sum(ups)
bysort date id match (round): gen bad = (sumups[_n-1]>0)
replace bad=0 if round==1
gen grim=(bad==0)

egen maxround=max(round), by(id match)

* AD
egen foo = sum(coop~=ad), by(id match)
gen ad_fit = (foo == 0)
drop foo

* TFT
egen foo = sum(tft~=coop), by(id match)
gen tft_fit = (foo == 0)
drop foo

* grim
egen foo = sum(grim~=coop), by(id match)
gen grim_fit = (foo == 0)
drop foo

gen fit_3=(ad_fit+tft_fit+grim_fit>0)

drop if round > 1
drop if maxround == 1

table delta r if phase==2, c(mean fit_3)
