function [ frac5, frac3 ] = sim_power_imp( no_session, no_subject, no_match, discount, phi, beta )

%%%%%%%%%%%% SIMULATING THE DATA SET %%%%%%%%%%%%%%%

% initializing variables
% I make vectors and matrices bigger than expected and trim afterward
% because these are randomly terminated, I can't know for sure
% so I make it twice as big as expected
session = zeros( floor(2*no_session*no_subject*no_match*( 1 / ( 1 - discount ) )), 1 );
id_all = session;
match = session;
round = session;
coop_all = session;
ocoop_all = session;
strg_e = session;
strg_e_m = zeros( floor(2*no_session*no_subject*no_match*( 1 / ( 1 - discount ) )), size(phi,1) );
strg_choices = zeros( floor(2*no_session*no_subject*no_match*( 1 / ( 1 - discount ) )), 5 );
chosen_strg_choices = session;
strg_a = session;
strg_a_m = zeros( floor(2*no_session*no_subject*no_match*( 1 / ( 1 - discount ) )), size(phi,1) );

% simulating the data
[session, id_all, match, round, coop_all, ocoop_all, strg_choices, chosen_strg_choices, strg_a, strg_a_m] = simul_data_2(no_session, no_subject, no_match, discount, phi, beta);

% Compute the fraction of choices that can be exactly accounted for by the
% first 5 strategies and first 3 strategies

% when do choices correspond to each of the basic 5
ad_choice_fit = ( coop_all == strg_choices(:,1) );
ac_choice_fit = ( coop_all == strg_choices(:,2) );
grim_choice_fit = ( coop_all == strg_choices(:,3) );
tft_choice_fit = ( coop_all == strg_choices(:,4) );
stft_choice_fit = ( coop_all == strg_choices(:,5) );

% when do choices correpsond to each of the basic 5 in all choices of a
% match (also figure out the length of each match)
ad_match_fit = zeros(no_session*no_subject*no_match, 1);
ac_match_fit = zeros(no_session*no_subject*no_match, 1);
grim_match_fit = zeros(no_session*no_subject*no_match, 1);
tft_match_fit = zeros(no_session*no_subject*no_match, 1);
stft_match_fit = zeros(no_session*no_subject*no_match, 1);
length = zeros(no_session*no_subject*no_match, 1);

foo = 0;
for j = 1:max(id_all)
    for k = 1:no_match
        foo = foo + 1;
        ad_match_fit(foo,1) = min( ad_choice_fit( id_all == j & match == k, 1 ) );
        ac_match_fit(foo,1) = min( ac_choice_fit( id_all == j & match == k, 1 ) );
        grim_match_fit(foo,1) = min( grim_choice_fit( id_all == j & match == k, 1 ) );
        tft_match_fit(foo,1) = min( tft_choice_fit( id_all == j & match == k, 1 ) );
        stft_match_fit(foo,1) = min( stft_choice_fit( id_all == j & match == k, 1 ) );
        length(foo,1) = max( round( id_all == j & match == k, 1 ) );
    end
end
            
% drop matches that last only one round
ad_match_fit = ad_match_fit( length > 1 );
ac_match_fit = ac_match_fit( length > 1 );
grim_match_fit = grim_match_fit( length > 1 );
tft_match_fit = tft_match_fit( length > 1 );
stft_match_fit = stft_match_fit( length > 1 );

match_fit_5 = [ad_match_fit, ac_match_fit, grim_match_fit, tft_match_fit, stft_match_fit];
match_fit_3 = [ad_match_fit, grim_match_fit, tft_match_fit, stft_match_fit];

frac5 = sum( max(match_fit_5, [], 2) ) / size( ad_match_fit, 1 );
frac3 = sum( max(match_fit_3, [], 2) ) / size( ad_match_fit, 1 );

% Change log
% 07/11/16
%   - Based on sim_power.m to simulate Fudenberg et al. (2012) type data.


