function [x_M, vc_bs, freq_e_bs] = bs_power(match, id, strg_M, K, start, session, reps, strg_e, round, include)





unique_session = unique(session);                  % vector with session indicator once for every session, no_session x 1
no_session = length(unique_session);               % number of sessions                         

for i = 1:no_session
    no_subjects(i,1) = max(id(session == unique_session(i))) - min(id(session == unique_session(i))) + 1;       % vector with number of subjects in each session, no_session x 1
    foo_match(i,1) = max(match(session == unique_session(i))) - min(match(session == unique_session(i))) + 1;   % vector with number of matches in each session, no_session x 1
end
order_session = tiedrank(no_subjects+(unique_session/100000));      % rank of each session in terms of number of subjects, no_session x 1
for i = 1:no_session
    session_foo(session == unique_session(i)) = order_session(i);    % same as session, but ordered according to the number of subjects, same dimensions as session
end

[value, order] = sort(no_subjects+(unique_session/100000));   % order gives the position of elements of no_subjects if they are sorted, no_session x 1
n_bs = no_subjects(order);       % number of subjects in each session sorted by size, no_session x 1 
no_match = foo_match(order);     % number of matches in each session sorted by size, no_session x 1

% generate new vars
s_val = [1:no_session]';
foo = ones(size(match));





% start loop to compute estimates
x_M = [];
freq_e_bs = [];
rand('state', 123456789);
for i = 1:reps
    m = 0;
    match_bs = [];
    strg_M_bs = [];
    id2_bs = [];
    
    strg_e_bs = [];     % added for plus
    round_bs = [];     % added for plus
    
    s_bs = sort(randsample(s_val, no_session, 'true'));      % identifier of sessions randomly selected and sorted from smallest to largest
    for j = 1:no_session
        id_bs = id(session_foo == s_bs(j));
        match_j_bs = match(session_foo == s_bs(j));    % the matches to randomly draw from
        for k = 1:n_bs(j)  % resamples as many students as there are in the jth smallest session
            m = m+1;
            s_i_bs = randsample(id_bs, 1, 'true');
            match_k_bs = match_j_bs(id_bs == s_i_bs);
            match_foo = [];
            strg_foo = [];
            
            strg_e_foo = [];     % added for plus
            round_foo = [];     % added for plus
            
            for l = 1:no_match(j)
                match_l_bs = randsample(match_k_bs, 1, 'true');     % new
                match_foo = [match_foo; m*foo(match_k_bs == match_l_bs)];         % new
                strg_foo = [strg_foo; strg_M((id == s_i_bs) & (match == match_l_bs), 1:K)];

                strg_e_foo = [strg_e_foo; strg_e((id == s_i_bs) & (match == match_l_bs), 1:7)];     % added for plus
                round_foo = [round_foo; round((id == s_i_bs) & (match == match_l_bs), 1)];     % added for plus
            end    
            match_bs = [match_bs; match_foo];
            strg_M_bs = [strg_M_bs; strg_foo];
            id2_bs = [id2_bs; m*foo(1:size(match_foo))];  % this generates a different id for the same subject if he is randomly re-selected
            
            strg_e_bs = [strg_e_bs; strg_e_foo];     % added for plus
            round_bs = [round_bs; round_foo];     % added for plus
            
            if isempty(match_foo) == 1  % added because there are (rarely) cases where no match is randomly selected 
                m = m-1;
            end
            
        end
    end
    max_id_bs = max(id2_bs);
    min_id_bs = min(id2_bs);    
    for l = min_id_bs:max_id_bs
        max_match_bs(l) = max(match_bs(find(id2_bs==l)));
        min_match_bs(l) = min(match_bs(find(id2_bs==l)));
    end
    % optimization
    [x, ll, hess, exitflag] = opt_df_strat(match_bs, min_match_bs, max_match_bs, id2_bs, min_id_bs, max_id_bs, strg_M_bs, K, start);
    if x(1,1) > 1.5
        for s = 0.1:0.1:1.5
            [x_temp, ll_temp, hess_temp, exitflag_temp] = opt_df_strat(match_bs, min_match_bs, max_match_bs, id2_bs, min_id_bs, max_id_bs, strg_M_bs, K, [s; ones(K-1,1)/K]);
            if ll_temp < ll
               x = x_temp; ll = ll_temp; hess = hess_temp; exitflag = exitflag_temp;
            end
        end
    end
    if x(1,1)>1.5
        disp('strange');
        exit
    end
    if min(x) < 0, bar = x; bar(find(bar>0))=bar(find(bar>0))-(sum(bar(find(bar<0)))/length(find(bar>0)+1)); bar(find(bar<0))=0; x=bar; end
    if exitflag == 0   % This means there was a problem with the optimization so this iteration is dropped and the saved variables are unchanged
        x_M = x_M;
        % frequency of each strategy - row vector
        freq_e_bs = freq_e_bs;     % added for plus
    else x_M = [x_M, x];
        % only keeping 1 elicited strategy per match
        strg_e_bs_1 = strg_e_bs(find(round_bs == 1), 1:K);     % added for plus
        % frequency of each strategy - row vector
        freq_e_bs = [freq_e_bs; mean(strg_e_bs_1)];     % added for plus
    end;
    
    i
end


% variance-covariance
vc_bs = cov(x_M');
