function ll = ll_df_strat_gamma(x, match, min_match, max_match, id, min_id, max_id, strg_M, K)

% ll: negative of loglikelihood
% part1: part 1 decribed in estimation_strategy.tex

% input

% x are estimates 1x(K+1): [gamma, p_2]
% match: indicates the match, > 0
% min_match: = min(match)
% max_match: = max(match)
% id: subject specific identifier
% min_id: = min(id)
% max_id: = max(id)
% strg_M: Matrix with each colum taking value 1 if the choice corresponded to that strategy and 0 o/w 
% K: Number of machines considered - 1


% -loglikelihood

x = real(x);

gamma = x(1:K,1);
%if gamma <= 0, gamma = 1e-2; end
if min(gamma) <= 0; foo = gamma; foo(find(foo<0))=1e-2; gamma = foo; end

if max(x((K+1):end,1)) >= 1, foo = x((K+1):end,1); foo(find(foo>=1))=0.999999999; x((K+1):end,1)=foo; end
if min(x) < 0, foo = x; foo(find(foo>0))=foo(find(foo>0))-(sum(foo(find(foo<0)))/length(find(foo>0)+1)); foo(find(foo<0))=0; x=foo; end

% computations begin
p_k = x(K+1,1) * lik_df_strat_i(gamma(1,1), match, min_match, max_match, id, min_id, max_id, strg_M(:,1));
if K > 2
    for i = 2:K-1
       p_k = x(K+i,1) * lik_df_strat_i(gamma(i,1), match, min_match, max_match, id, min_id, max_id, strg_M(:,i)) + p_k;
    end
end
if K >= 2
    p_k = (1 - sum(x([K+1:end],1))) * lik_df_strat_i(gamma(K,1), match, min_match, max_match, id, min_id, max_id, strg_M(:,K)) + p_k;
end

p_k(find(p_k==0))=realmin;

ll = -sum(log(p_k));
ll = real(ll);