function ll = ll_df_strat_two(x, match, min_match, max_match, id, min_id, max_id, strg_M, K, indicator)

% corresponds to ll_df_strat but adapted to distinguish between the AER and
% new sessions.
% This seperates the problem in two parts
% _0 are the AER sessions and _1 the new sessions.
%
% ll: negative of loglikelihood
% part1: part 1 decribed in estimation_strategy.tex
%
% input
%
% x are estimates 1x(K+1): [gamma, p_2]
% match: indicates the match, > 0
% min_match: = min(match)
% max_match: = max(match)
% id: subject specific identifier
% min_id: = min(id)
% max_id: = max(id)
% strg_M: Matrix with each colum taking value 1 if the choice corresponded to that strategy and 0 o/w 
% K: Number of machines considered - 1
%
% -loglikelihood

match_0 = match(find(indicator==0));
id_0 = id(find(indicator==0));
min_id_0 = min(id_0);
max_id_0 = max(id_0);
min_match_0 = min_match(min_id_0:max_id_0);
max_match_0 = max_match(min_id_0:max_id_0);
strg_M_0 = strg_M(find(indicator==0),:);
strg_M_0 =strg_M_0(:,[1:K]);
x_0 = x(1:K);

ll_0 = ll_df_strat(x_0, match_0, min_match_0, max_match_0, id_0, min_id_0, max_id_0, strg_M_0, K);

match_1 = match(find(indicator==1));
id_1 = id(find(indicator==1));
min_id_1 = min(id_1);
max_id_1 = max(id_1);
min_match_1 = min_match(min_id_1:max_id_1);
max_match_1 = max_match(min_id_1:max_id_1);
strg_M_1 = strg_M(find(indicator==1),:);
strg_M_1 =strg_M_1(:,[K+1:2*K]);
x_1 = x(K+1:2*K);

ll_1 = ll_df_strat(x_1, match_1, min_match_1, max_match_1, id_1, min_id_1, max_id_1, strg_M_1, K);

ll = ll_0 + ll_1;


